Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1210036 - Force linking pthread to get qdigidoc built on secondary archs (aarch64, ppc64, s390)
Summary: Force linking pthread to get qdigidoc built on secondary archs (aarch64, ppc6...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qdigidoc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mihkel Vain
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-04-08 18:03 UTC by Marcin Juszkiewicz
Modified: 2015-04-26 12:53 UTC (History)
5 users (show)

Fixed In Version: qdigidoc-3.10.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 12:53:00 UTC


Attachments (Terms of Use)
force link to pthread (deleted)
2015-04-08 18:03 UTC, Marcin Juszkiewicz
no flags Details

Description Marcin Juszkiewicz 2015-04-08 18:03:01 UTC
Created attachment 1012348 [details]
force link to pthread

Description of problem:

qdigidoc fails to link on aarch64:

Linking CXX executable qdigidocclient
cd /builddir/build/BUILD/qdigidoc-3.10.0/client && /usr/bin/cmake -E cmake_link_script CMakeFiles/qdigidocclient.dir/link.txt --verbose=1
/usr/bin/c++   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1  -fvisibility=hidden -fvisibility-inlines-hidden -std=c++11   -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld CMakeFiles/qdigidocclient.dir/qrc_images.cpp.o CMakeFiles/qdigidocclient.dir/qrc_certs.cpp.o CMakeFiles/qdigidocclient.dir/qrc_tr.cpp.o CMakeFiles/qdigidocclient.dir/qrc_TSL.cpp.o CMakeFiles/qdigidocclient.dir/main.cpp.o CMakeFiles/qdigidocclient.dir/AccessCert.cpp.o CMakeFiles/qdigidocclient.dir/Application.cpp.o CMakeFiles/qdigidocclient.dir/CheckConnection.cpp.o CMakeFiles/qdigidocclient.dir/DigiDoc.cpp.o CMakeFiles/qdigidocclient.dir/FileDialog.cpp.o CMakeFiles/qdigidocclient.dir/MainWindow.cpp.o CMakeFiles/qdigidocclient.dir/MobileDialog.cpp.o CMakeFiles/qdigidocclient.dir/PrintSheet.cpp.o CMakeFiles/qdigidocclient.dir/QPKCS11.cpp.o CMakeFiles/qdigidocclient.dir/QSigner.cpp.o CMakeFiles/qdigidocclient.dir/SettingsDialog.cpp.o CMakeFiles/qdigidocclient.dir/SignatureDialog.cpp.o CMakeFiles/qdigidocclient.dir/TreeWidget.cpp.o CMakeFiles/qdigidocclient.dir/qdigidocclient_automoc.cpp.o  -o qdigidocclient -rdynamic ../common/libqdigidoccommon.a ../crypto/libqdigidoccrypto.a /usr/lib64/libQt5PrintSupport.so.5.4.1 -ldigidocpp ../common/libqdigidoccommon.a -lssl -lcrypto -lpcsclite ../common/qtsingleapplication/libqtsingleapplication.a /usr/lib64/libQt5Network.so.5.4.1 -lldap -llber /usr/lib64/libQt5Widgets.so.5.4.1 /usr/lib64/libQt5Gui.so.5.4.1 /usr/lib64/libQt5Core.so.5.4.1 
/usr/bin/ld: CMakeFiles/qdigidocclient.dir/Application.cpp.o: undefined reference to symbol 'pthread_create@@GLIBC_2.17'
/usr/lib64/libpthread.so.0: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status

Version-Release number of selected component (if applicable):

3.10.0-1

How reproducible:

always

Steps to Reproduce:
1. build on aarch64 (arm-koji)

Actual results:

package fails to build: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2951821

Expected results:

builds fine

Additional info:

Comment 1 Dan Horák 2015-04-08 18:14:32 UTC
thanks Marcin, same problem is on s390 and ppc

Comment 2 Fedora Update System 2015-04-19 08:35:17 UTC
qdigidoc-3.10.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qdigidoc-3.10.0-3.fc22

Comment 3 Fedora Update System 2015-04-21 18:44:19 UTC
Package qdigidoc-3.10.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qdigidoc-3.10.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6452/qdigidoc-3.10.0-3.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-26 12:53:00 UTC
qdigidoc-3.10.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.